Welcome!
Important information
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.1 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Fix broken packages libgl*

Help for Current Versions of MX
User avatar
Schuhabtret0r
Forum Novice
Forum  Novice
Posts: 6
Joined: Tue Mar 12, 2019 10:05 am

Fix broken packages libgl*

#1

Post by Schuhabtret0r » Tue Mar 12, 2019 11:04 am

Hey there,

i think i followed the how to brake your system.
Someone can help me to fix this?

Code: Select all

user@InfinityTux14:~
$ sudo apt-get -f install 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Abhängigkeiten werden korrigiert ... fehlgeschlagen.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 libgl1-mesa-dri : Beschädigt: libgl1-mesa-dri:i386 (!= 18.3.2-1~mx17+1) aber 18.2.8-2~mx17+2 ist installiert
 libgl1-mesa-dri:i386 : Beschädigt: libgl1-mesa-dri (!= 18.2.8-2~mx17+2) aber 18.3.2-1~mx17+1 ist installiert
 libglapi-mesa : Beschädigt: libglapi-mesa:i386 (!= 18.3.2-1~mx17+1) aber 18.2.8-2~mx17+2 ist installiert
 libglapi-mesa:i386 : Beschädigt: libglapi-mesa (!= 18.2.8-2~mx17+2) aber 18.3.2-1~mx17+1 ist installiert
 libglx-mesa0 : Hängt ab von: libglapi-mesa (= 18.2.8-2~mx17+2) aber 18.3.2-1~mx17+1 ist installiert
                Beschädigt: libglx-mesa0:i386 (!= 18.2.8-2~mx17+2) aber 18.3.2-1~mx17+1 ist installiert
 libglx-mesa0:i386 : Hängt ab von: libglapi-mesa:i386 (= 18.3.2-1~mx17+1) aber 18.2.8-2~mx17+2 ist installiert
                     Beschädigt: libglx-mesa0 (!= 18.3.2-1~mx17+1) aber 18.2.8-2~mx17+2 ist installiert
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
E: Abhängigkeiten konnten nicht korrigiert werden.
I have already tried some code but i am a wannabe and nothing had helped.

Thank you.

P.S. What's about encryption more than the User folder? Only possible if i setup mx Linux 18.1 new or even if i upgraded from 17.x ?
You do not have the required permissions to view the files attached to this post.

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4727
Joined: Wed Jul 12, 2006 4:05 pm

Re: Fix broken packages libgl*

#2

Post by timkb4cq » Tue Mar 12, 2019 11:45 am

You upgraded your some of your mesa libraries from the MX Test repo, perhaps as a dependency of something else you installed from Test.
You have a 64bit system, but something (Wine? Steam?) had already installed some of the 32bit mesa libraries of the version in the Main repo. That mismatch is causing the problem.

You appear to still have the Test repo active (not normally a great idea but good for right now) so I think that

Code: Select all

sudo apt install libgl1-mesa-dri:i386 libglapi-mesa:i386 libglx-mesa0:i386
will bring them into line.

If you have aptitude installed you may have to use it in place of apt or apt-get. Aptitude is better at fixing this sort of dependency chain. It will give you its proposed action and let you approve it or tell it try again and it will come up with another proposal.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
Schuhabtret0r
Forum Novice
Forum  Novice
Posts: 6
Joined: Tue Mar 12, 2019 10:05 am

Re: Fix broken packages libgl*

#3

Post by Schuhabtret0r » Wed Mar 13, 2019 8:37 am

Hey timkb4cq thanks for your reply.

apt or apt-get is not working, with aptitude the solution is to delete 167 packages:

I really have to do this :-S ?

Yes i have installed Steam (for Games). But i do not use it, no problem to delete Steam.

Code: Select all

       Entfernen der folgenden Pakete:                                       
1)       adobe-flash-properties-gtk [1:20190212.1-1mx17+1 (mx, now)]         
2)       adobe-flashplugin [1:20190212.1-1mx17+1 (mx, now)]                  
3)       apt-notifier [19.03.01mx17+1 (now)]                                 
4)       asymptote [2.38-2+b2 (now, stable)]                                 
5)       cheese [3.22.1-1+b1 (now, stable)]                                  
6)       chromium [72.0.3626.122-1~deb9u1 (now, stable)]                     
7)       chromium-bsu [0.9.16.1-1+b1 (now, stable)]                          
8)       clementine [1.3.1+git542-gf00d9727c+dfsg-1~mx17+1 (now)]            
9)       compton [0.1~beta2+20150922-1 (now, stable)]                        
10)      compton-conf [0.2.1-2 (now, stable)]                                
11)      evolution [3.22.6-1+deb9u1 (now, stable)]                           
12)      evolution-plugins [3.22.6-1+deb9u1 (now, stable)]                   
13)      featherpad [1:0.9.4-1~mx17+1 (now)]                                 
14)      ffmpeg [7:4.1.1-0.1~mx17+1 (now)]                                   
15)      freeglut3 [2.8.1-3 (now, stable)]                                   
16)      gir1.2-webkit2-4.0 [2.22.7-1~mx17+1 (now)]                          
17)      gnome-video-effects [0.4.1-3 (now, stable)]                         
18)      gstreamer1.0-clutter-3.0 [3.0.24-1 (now, stable)]                   
19)      gstreamer1.0-plugins-bad [1.10.4-1 (now, stable)]                   
20)      gufw [17.04.1-1.1 (now, stable)]                                    
21)      gvfs [1.30.4-2mx17 (now)]                                           
22)      gvfs-backends [1.30.4-2mx17 (now)]                                  
23)      gvfs-daemons [1.30.4-2mx17 (now)]                                   
24)      gvfs-fuse [1.30.4-2mx17 (now)]                                      
25)      heimdall-flash-frontend [1.4.2+dfsg-0.1~mx17+1 (mx, now)]           
26)      keepassxc [2.3.4+dfsg.1-1~bpo9+1 (now, stretch-backports)]          
27)      libatk-wrapper-java [0.33.3-13+deb9u1 (now, stable)]                
28)      libatk-wrapper-java-jni [0.33.3-13+deb9u1 (now, stable)]            
29)      libavdevice58 [7:4.1.1-0.1~mx17+1 (now)]                            
30)      libchamplain-0.12-0 [0.12.15-1 (now, stable)]                       
31)      libchamplain-gtk-0.12-0 [0.12.15-1 (now, stable)]                   
32)      libcheese-gtk25 [3.22.1-1+b1 (now, stable)]                         
33)      libcheese8 [3.22.1-1+b1 (now, stable)]                              
34)      libclutter-1.0-0 [1.26.0+dfsg-3 (now, stable)]                      
35)      libclutter-gst-3.0-0 [3.0.24-1 (now, stable)]                       
36)      libclutter-gtk-1.0-0 [1.8.2-2 (now, stable)]                        
37)      libcogl-pango20 [1.22.2-2 (now, stable)]                            
38)      libcogl-path20 [1.22.2-2 (now, stable)]                             
39)      libcogl20 [1.22.2-2 (now, stable)]                                  
40)      libedataserverui-1.2-1 [3.22.7-1 (now, stable)]                     
41)      libegl-mesa0 [18.3.2-1~mx17+1 (now)]                                
42)      libegl1 [1.1.0-1~mx17+1 (mx, now)]                                  
43)      libegl1-mesa [18.3.2-1~mx17+1 (now)]                                
44)      libevolution [3.22.6-1+deb9u1 (now, stable)]                        
45)      libftgl2 [2.1.3~rc5-4+nmu1.1 (now, stable)]                         
46)      libgl1 [1.1.0-1~mx17+1 (mx, now)]                                   
47)      libgl1:i386 [1.1.0-1~mx17+1 (mx, now)]                              
48)      libgl1-mesa-dri [18.3.2-1~mx17+1 (now)]                             
49)      libgl1-mesa-dri:i386 [18.2.8-2~mx17+2 (now)]                        
50)      libgl1-mesa-glx [18.3.2-1~mx17+1 (now)]                             
51)      libglapi-mesa [18.3.2-1~mx17+1 (now)]                               
52)      libglc0 [0.7.2-5+b3 (now, stable)]                                  
53)      libglew2.0 [2.0.0-3+b1 (now, stable)]                               
54)      libglewmx1.13 [1.13.0-3 (now, stable)]                              
55)      libglu1-mesa [9.0.0-2.1 (now, stable)]                              
56)      libglx-mesa0 [18.2.8-2~mx17+2 (now)]                                
57)      libglx-mesa0:i386 [18.3.2-1~mx17+1 (now)]                           
58)      libglx0 [1.1.0-1~mx17+1 (mx, now)]                                  
59)      libglx0:i386 [1.1.0-1~mx17+1 (mx, now)]                             
60)      libgstreamer-plugins-bad1.0-0 [1.10.4-1 (now, stable)]              
61)      libosmesa6 [18.3.2-1~mx17+1 (now)]                                  
62)      libpoppler-qt5-1 [0.48.0-2+deb9u2 (now, stable)]                    
63)      libprojectm2v5 [2.1.0+dfsg-4+b3 (now, stable)]                      
64)      libqt4-opengl [4:4.8.7+dfsg-11 (now, stable)]                       
65)      libqt5designer5 [5.7.1-1 (now, stable)]                             
66)      libqt5gui5 [5.7.1+dfsg-3+deb9u1 (now, stable)]                      
67)      libqt5help5 [5.7.1-1 (now, stable)]                                 
68)      libqt5opengl5 [5.7.1+dfsg-3+deb9u1 (now, stable)]                   
69)      libqt5printsupport5 [5.7.1+dfsg-3+deb9u1 (now, stable)]             
70)      libqt5quick5 [5.7.1-2+b2 (now, stable)]                             
71)      libqt5svg5 [5.7.1~20161021-2+b2 (now, stable)]                      
72)      libqt5webkit5 [5.212.0~alpha2-15~mx17+1 (now)]                      
73)      libqt5widgets5 [5.7.1+dfsg-3+deb9u1 (now, stable)]                  
74)      libqt5x11extras5 [5.7.1~20161021-2 (now, stable)]                   
75)      libreoffice-sdbc-hsqldb [1:6.1.5-1~mx17+1 (now)]                    
76)      libwayland-egl1-mesa [18.3.2-1~mx17+1 (now)]                        
77)      libwebkit2gtk-4.0-37 [2.22.7-1~mx17+1 (now)]                        
78)      libyelp0 [3.22.0-1 (now, stable)]                                   
79)      lightning [2:60.5.1-1~mx17+1 (now)]                                 
80)      luckybackup [0.4.9-1 (now, stretch)]                                
81)      lyx [2.3.2-1~bpo9+1 (now, stretch-backports)]                       
82)      mesa-utils [8.3.0-3 (now, stable)]                                  
83)      mplayer [2:1.3.0-6 (now, stable)]                                   
84)      mx-apps [19.02.01 (mx, now)]                                        
85)      mx-boot-options [19.1.1 (mx, now)]                                  
86)      mx-bootrepair [19.2 (mx, now)]                                      
87)      mx-cleanup [19.1 (mx, now)]                                         
88)      mx-codecs [18.11.1 (mx, now)]                                       
89)      mx-conky [19.2.1 (mx, now)]                                         
90)      mx-idevice-mounter [0.1.5.3 (mx, now)]                              
91)      mx-installer [19.3 (mx, now)]                                       
92)      mx-live-usb-maker [19.2 (mx, now)]                                  
93)      mx-menu-editor [19.1 (mx, now)]                                     
94)      mx-network-assistant [19.1 (mx, now)]                               
95)      mx-packageinstaller [19.1.2 (mx, now)]                              
96)      mx-packageinstaller-pkglist [19.03.01 (mx, now)]                    
97)      mx-remastercc [19.1 (mx, now)]                                      
98)      mx-repo-manager [19.2.1 (mx, now)]                                  
99)      mx-select-sound [19.1 (mx, now)]                                    
100)     mx-snapshot [19.2.1 (mx, now)]                                      
101)     mx-system-sounds [19.1 (mx, now)]                                   
102)     mx-tools [19.1 (mx, now)]                                           
103)     mx-tweak [19.03.02 (mx, now)]                                       
104)     mx-usb-unmounter [19.03 (mx, now)]                                  
105)     mx-user [19.3.1 (mx, now)]                                          
106)     mx-viewer [18.8 (mx, now)]                                          
107)     mx-welcome [19.1 (mx, now)]                                         
108)     nomacs [3.12.0+dfsg-2~mx17+1 (now)]                                 
109)     openjdk-8-jre [8u181-b13-2~deb9u1 (now, stable)]                    
110)     pacpl [5.0.1-1mx17+1 (mx, now)]                                     
111)     peg-e [1.2.6-1~mx17+1 (now)]                                        
112)     phonon-backend-gstreamer [4:4.9.0-1 (now, stable)]                  
113)     python-pyqt5 [5.7+dfsg-5 (now, stable)]                             
114)     python3-pyqt5 [5.7+dfsg-5 (now, stable)]                            
115)     qpdfview [0.4.17~beta1+git20180709-2~mx17+1 (now)]                  
116)     qpdfview-djvu-plugin [0.4.17~beta1+git20180709-2~mx17+1 (now)]      
117)     qpdfview-ps-plugin [0.4.17~beta1+git20180709-2~mx17+1 (now)]        
118)     qpdfview-translations [0.4.17~beta1+git20180709-2~mx17+1 (now)]     
119)     qt5-gtk-platformtheme [5.7.1+dfsg-3+deb9u1 (now, stable)]           
120)     qt5-image-formats-plugins [5.7.1~20161021-2 (now, stable)]          
121)     qt5-style-plugins [5.0.0+git16.g7aa4764-1 (now, stable)]            
122)     smtube [18.11.0-0.1~mx17+1 (mx, now, stretch)]                      
123)     steam-launcher [1.0.0.59 (now)]                                     
124)     swell-foop [1:3.22.2-1 (now, stable)]                               
125)     testdisk [7.1-0~wip+mx17 (now)]                                     
126)     texlive-full [2016.20170123-5 (now, stable)]                        
127)     thunderbird [2:60.5.1-1~mx17+1 (now)]                               
128)     virtualbox [6.0.4-dfsg-1~mx17+1 (now)]                              
129)     virtualbox-guest-x11 [6.0.4-dfsg-1~mx17+1 (now)]                    
130)     virtualbox-qt [6.0.4-dfsg-1~mx17+1 (now)]                           
131)     vlc [3.0.6-0.1~mx17+1 (mx, now)]                                    
132)     vlc-plugin-qt [3.0.6-0.1~mx17+1 (mx, now)]                          
133)     vlc-plugin-video-output [3.0.6-0.1~mx17+1 (mx, now)]                
134)     x11-utils [7.7+3+b1 (now, stable)]                                  
135)     xorg [1:7.7+19 (now, stable)]                                       
136)     xserver-xorg [1:7.7+19 (now, stable)]                               
137)     xserver-xorg-core [2:1.19.2-1+deb9u5 (now, stable)]                 
138)     xserver-xorg-input-all [1:7.7+19 (now, stable)]                     
139)     xserver-xorg-input-evdev [1:2.10.5-1 (now, stable)]                 
140)     xserver-xorg-input-joystick [1:1.6.3-1+b1 (now, stable)]            
141)     xserver-xorg-input-kbd [1:1.9.0-1+b1 (now, stable)]                 
142)     xserver-xorg-input-libinput [0.23.0-2 (now, stable)]                
143)     xserver-xorg-input-mouse [1:1.9.2-1+b1 (now, stable)]               
144)     xserver-xorg-input-synaptics [1.9.1-1~mx17+1 (now)]                 
145)     xserver-xorg-input-wacom [0.34.0-1 (now, stable)]                   
146)     xserver-xorg-video-all [1:7.7+19 (now, stable)]                     
147)     xserver-xorg-video-amdgpu [18.1.0-1~mx17+1 (mx, now)]               
148)     xserver-xorg-video-ati [1:18.1.0-1~mx17+1 (mx, now)]                
149)     xserver-xorg-video-cirrus [1:1.5.3-1+b2 (now, stable)]              
150)     xserver-xorg-video-fbdev [1:0.4.4-1+b5 (now, stable)]               
151)     xserver-xorg-video-intel [2:2.99.917+git20180925-2~mx17+1 (mx, now)]
152)     xserver-xorg-video-mach64 [6.9.5-1+b2 (now, stable)]                
153)     xserver-xorg-video-mga [1:1.6.5-1 (now, stable)]                    
154)     xserver-xorg-video-neomagic [1:1.2.9-1+b2 (now, stable)]            
155)     xserver-xorg-video-nouveau [1:1.0.15-3~mx17+1 (mx, now)]            
156)     xserver-xorg-video-r128 [6.10.2-1 (now, stable)]                    
157)     xserver-xorg-video-radeon [1:18.1.0-1~mx17+1 (mx, now)]             
158)     xserver-xorg-video-savage [1:2.3.9-1 (now, stable)]                 
159)     xserver-xorg-video-siliconmotion [1:1.7.9-2 (now, stable)]          
160)     xserver-xorg-video-sisusb [1:0.9.7-1 (now, stable)]                 
161)     xserver-xorg-video-tdfx [1:1.4.7-1 (now, stable)]                   
162)     xserver-xorg-video-trident [1:1.3.8-1 (now, stable)]                
163)     xserver-xorg-video-vesa [1:2.3.4-1+b2 (now, stable)]                
164)     xserver-xorg-video-vmware [1:13.2.1-1+b1 (now, stable)]             
165)     xutils [1:7.7+19 (now, stable)]                                     
166)     yelp [3.22.0-1 (now, stable)]                                       
167)     zenity [3.22.0-1+b1 (now, stable)]  

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 18296
Joined: Fri Dec 15, 2006 8:07 pm

Re: Fix broken packages libgl*

#4

Post by Stevo » Wed Mar 13, 2019 5:25 pm

What does "inxi -r" report for your active repositories, then?

User avatar
Schuhabtret0r
Forum Novice
Forum  Novice
Posts: 6
Joined: Tue Mar 12, 2019 10:05 am

Re: Fix broken packages libgl*

#5

Post by Schuhabtret0r » Wed Mar 13, 2019 5:48 pm

Code: Select all

Repos:     No active apt repos in: /etc/apt/sources.list 
           Active apt repos in: /etc/apt/sources.list.d/antix.list 
           1: deb https://linux.rub.de/mxlinux/packages/antix/stretch/ stretch main
           Active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list 
           1: deb http://ftp.de.debian.org/debian/ stretch-updates main contrib non-free
           Active apt repos in: /etc/apt/sources.list.d/debian.list 
           1: deb http://ftp.de.debian.org/debian/ stretch main contrib non-free
           2: deb http://security.debian.org/ stretch/updates main contrib non-free
           3: deb http://deb.debian.org/debian/ stretch-backports main
           4: deb-src http://ftp.de.debian.org/debian/ stretch non-free contrib main
           Active apt repos in: /etc/apt/sources.list.d/mx.list 
           1: deb https://linux.rub.de/mxlinux/packages/mx/repo/ stretch main non-free
           Active apt repos in: /etc/apt/sources.list.d/signal-xenial.list 
           1: deb [arch=amd64] https://updates.signal.org/desktop/apt/ xenial main
           Active apt repos in: /etc/apt/sources.list.d/spotify.list 
           1: deb http://repository.spotify.com/ stable non-free
           No active apt repos in: /etc/apt/sources.list.d/steam.list 
           No active apt repos in: /etc/apt/sources.list.d/various.list 

User avatar
Schuhabtret0r
Forum Novice
Forum  Novice
Posts: 6
Joined: Tue Mar 12, 2019 10:05 am

Re: Fix broken packages libgl*

#6

Post by Schuhabtret0r » Thu Mar 14, 2019 12:11 pm

Code: Select all

 sudo aptitude install libgl1-mesa-dri:i386 libglapi-mesa:i386 libglx-mesa0:i386
Will result in delete 571 packages. I dont think the system is running after that?
There is a possibility to reinstall just the broken packages in 64 bit ?

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4727
Joined: Wed Jul 12, 2006 4:05 pm

Re: Fix broken packages libgl*

#7

Post by timkb4cq » Thu Mar 14, 2019 2:41 pm

Ah, so you don't have the mx testrepo enabled. You will have to enable it for the command to work.

The easiest way would be in Synaptic. Then after the Reload it will prompt for after the testrepo is enabled, close Synaptic and try running the command.

Don't run a full upgrade until you have disabled test again.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 18296
Joined: Fri Dec 15, 2006 8:07 pm

Re: Fix broken packages libgl*

#8

Post by Stevo » Thu Mar 14, 2019 5:30 pm

It's a good idea to disable the stretch-backports repo, too. Our package-installer app can temporarily enable it to install anything from there, which is a very nice feature.

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 4290
Joined: Sun May 27, 2007 5:37 am

Re: Fix broken packages libgl*

#9

Post by asqwerth » Thu Mar 14, 2019 11:51 pm

There is a xenial repo in his sources list.

Don't know if that is part of the issue.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
Schuhabtret0r
Forum Novice
Forum  Novice
Posts: 6
Joined: Tue Mar 12, 2019 10:05 am

Re: Fix broken packages libgl*

#10

Post by Schuhabtret0r » Sat Mar 16, 2019 11:33 am

Hey,
enabling the test repo was a great idea ;)

But its not fully resolved:

Code: Select all

sudo aptitude install libgl1-mesa-dri:i386 libglapi-mesa:i386 libglx-mesa0:i386
[sudo] password for user: 
The following packages will be upgraded: 
  libgl1-mesa-dri:i386 libglapi-mesa:i386 libglx-mesa0 
The following partially installed packages will be configured:
  libegl-mesa0 libgl1-mesa-dri libglapi-mesa libglx-mesa0:i386 libosmesa6 
3 packages upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
Need to get 0 B/8,144 kB of archives. After unpacking 18.5 MB will be used.
Do you want to continue? [Y/n/?] y
(Reading database ... 433759 files and directories currently installed.)
Preparing to unpack .../libglx-mesa0_18.3.2-1~mx17+1_amd64.deb ...
Unpacking libglx-mesa0:amd64 (18.3.2-1~mx17+1) over (18.2.8-2~mx17+2) ...
dpkg: error processing archive /var/cache/apt/archives/libglx-mesa0_18.3.2-1~mx17+1_amd64.deb (--unpack):
 trying to overwrite shared '/usr/share/doc/libglx-mesa0/changelog.Debian.gz', which is different from other instances of package libglx-mesa0:amd64
Preparing to unpack .../libglapi-mesa_18.3.2-1~mx17+1_i386.deb ...
Unpacking libglapi-mesa:i386 (18.3.2-1~mx17+1) over (18.2.8-2~mx17+2) ...
dpkg: error processing archive /var/cache/apt/archives/libglapi-mesa_18.3.2-1~mx17+1_i386.deb (--unpack):
 trying to overwrite shared '/usr/share/doc/libglapi-mesa/changelog.Debian.gz', which is different from other instances of package libglapi-mesa:i386
Preparing to unpack .../libgl1-mesa-dri_18.3.2-1~mx17+1_i386.deb ...
Unpacking libgl1-mesa-dri:i386 (18.3.2-1~mx17+1) over (18.2.8-2~mx17+2) ...
dpkg: error processing archive /var/cache/apt/archives/libgl1-mesa-dri_18.3.2-1~mx17+1_i386.deb (--unpack):
 trying to overwrite shared '/usr/share/doc/libgl1-mesa-dri/changelog.Debian.gz', which is different from other instances of package libgl1-mesa-dri:i386
Errors were encountered while processing:
 /var/cache/apt/archives/libglx-mesa0_18.3.2-1~mx17+1_amd64.deb
 /var/cache/apt/archives/libglapi-mesa_18.3.2-1~mx17+1_i386.deb
 /var/cache/apt/archives/libgl1-mesa-dri_18.3.2-1~mx17+1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dpkg: error processing package libgl1-mesa-dri:amd64 (--configure):
 package libgl1-mesa-dri:amd64 18.3.2-1~mx17+1 cannot be configured because libgl1-mesa-dri:i386 is at a different version (18.2.8-2~mx17+2)
dpkg: error processing package libglapi-mesa:amd64 (--configure):
 package libglapi-mesa:amd64 18.3.2-1~mx17+1 cannot be configured because libglapi-mesa:i386 is at a different version (18.2.8-2~mx17+2)
Processing triggers for libc-bin (2.24-11+deb9u4) ...
dpkg: dependency problems prevent configuration of libegl-mesa0:amd64:
 libegl-mesa0:amd64 depends on libglapi-mesa; however:
  Package libglapi-mesa:amd64 is not configured yet.

dpkg: error processing package libegl-mesa0:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: error processing package libglx-mesa0:i386 (--configure):
 package libglx-mesa0:i386 18.3.2-1~mx17+1 cannot be configured because libglx-mesa0:amd64 is at a different version (18.2.8-2~mx17+2)
dpkg: dependency problems prevent configuration of libosmesa6:amd64:
 libosmesa6:amd64 depends on libglapi-mesa (= 18.3.2-1~mx17+1); however:
  Package libglapi-mesa:amd64 is not configured yet.

dpkg: error processing package libosmesa6:amd64 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libgl1-mesa-dri:amd64
 libglapi-mesa:amd64
 libegl-mesa0:amd64
 libglx-mesa0:i386
 libosmesa6:amd64
I have to work with remove and purge ?

Post Reply

Return to “MX Help”